#!/usr/bin/env python

from neuron import h
import numpy
import MCMClass_c as Mcm

synapse = False

# Creating model
cell = Mcm.createModel(synapse)

# Initializing variables
dendlen = 0
apiclen = 0
dendsur = 0
apicsur = 0
dendvol = 0
apicvol = 0
for sec in h.allsec():
    if 'dend' in h.secname(sec=sec):  # Adding all the length/surface/volume of the basal dendrites together
        dendlen += sec.L
        dendsur += 2*numpy.pi*((sec.diam/2)**2) + 2 * numpy.pi*(sec.diam/2)*sec.L
        dendvol += numpy.pi*((sec.diam/2)**2)*sec.L
    elif 'apic' in h.secname(sec=sec):  # Adding all the length/surface/volume of the apical dendrites together
        apiclen += sec.L
        apicsur += 2*numpy.pi*((sec.diam/2)**2) + 2 * numpy.pi*(sec.diam/2)*sec.L
        apicvol += numpy.pi*((sec.diam/2)**2)*sec.L

# Saving result to file
Mcm.writetofile('dendLenSurVol.txt', [dendlen, apiclen, dendsur, apicsur, dendvol, apicvol])
